import 'package:pshared/data/dto/organization/description.dart';
import 'package:pshared/data/mapper/describable.dart';
import 'package:pshared/models/organization/description.dart';


extension OrganizationDescriptionMapper on OrganizationDescription {
  OrganizationDescriptionDTO toDTO() => OrganizationDescriptionDTO(
    description: description.toDTO(),
    logoUrl: logoUrl,
  );
}

extension AccountDescriptionDTOMapper on OrganizationDescriptionDTO {
  OrganizationDescription toDomain() => OrganizationDescription(
    logoUrl: logoUrl,
    description: description.toDomain(),
  );
}
